# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-File-Finder
Version:        0.53
Release:        alt1_8
Summary:        Nice wrapper for File::Find ala find(1)
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/File-Finder/
Source0:        http://search.cpan.org/CPAN/authors/id/M/ME/MERLYN/File-Finder-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Find/Rule.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Distribution.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Text/Glob.pm)
BuildRequires:  perl(Exporter.pm)
Requires:       perl(Text/Glob.pm)
Source44: import.info

%description
File::Find is great, but constructing the wanted routine can sometimes be a
pain. This module provides a wanted-writer, using syntax that is directly
mappable to the find command's syntax.

%prep
%setup -q -n File-Finder-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test TEST_VERBOSE=1

%files
%doc Changes README TODO
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_8
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_7
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_5
- fc import

